API
HQ APIAi translations

Generate AI translations

Generates AI translations for the specified entity fields.

POST/v1/hq/companies/{company_id}/ai_translations

Authorization

BearerTokenAuth

AuthorizationBearer <token>

The Noona HQ API uses Bearer token for authentication.

Endpoints that return generic information that does not contain sensitive data do not require authentication. Endpoints that require authentication are specifically marked in the documentation.

Authorization: Bearer your-token

In: header

Path Parameters

company_id*string

Request Body

application/json

entity_type*string
Value in"event_type" | "company"
entity_id?string

The ID of the entity being translated

Example"abc123"
source_language*string

The language code of the source text

Match^[a-z]{2}$
Example"en"
target_languages*array<string>

The language codes to translate to

Itemsitems <= 7
Example[ "is", "pt" ]
fields*
Itemsitems <= 20

Response Body

application/json

curl -X POST "https://api.noona.is/v1/hq/companies/string/ai_translations" \  -H "Content-Type: application/json" \  -d '{    "entity_type": "event_type",    "source_language": "en",    "target_languages": [      "is",      "pt"    ],    "fields": [      {        "key": "title",        "text": "Haircut"      }    ]  }'
{
  "translations": {
    "property1": {
      "property1": "string",
      "property2": "string"
    },
    "property2": {
      "property1": "string",
      "property2": "string"
    }
  }
}
Empty
Empty
Empty
Empty
Empty